ClickStack: Silence Alert
This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.
ClickStack: Silences an alert until the given time. Notifications are suppressed while the alert is silenced.
POST
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
clickstack
/
alerts
/
{clickStackAlertId}
/
silenced
ClickStack: Silence Alert
curl --request POST \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickstack/alerts/{clickStackAlertId}/silenced \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"mutedUntil": "2026-01-01T00:00:00.000Z"
}
'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickstack/alerts/{clickStackAlertId}/silenced"
payload = { "mutedUntil": "2026-01-01T00:00:00.000Z" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({mutedUntil: '2026-01-01T00:00:00.000Z'})
};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickstack/alerts/{clickStackAlertId}/silenced', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickstack/alerts/{clickStackAlertId}/silenced",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'mutedUntil' => '2026-01-01T00:00:00.000Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickstack/alerts/{clickStackAlertId}/silenced"
payload := strings.NewReader("{\n \"mutedUntil\": \"2026-01-01T00:00:00.000Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickstack/alerts/{clickStackAlertId}/silenced")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"mutedUntil\": \"2026-01-01T00:00:00.000Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickstack/alerts/{clickStackAlertId}/silenced")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"mutedUntil\": \"2026-01-01T00:00:00.000Z\"\n}"
response = http.request(request)
puts response.read_body{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": {
"displayName": "Checkout error spike",
"tags": [
"checkout",
"p1"
],
"dashboardId": "65f5e4a3b9e77c001a567890",
"tileId": "65f5e4a3b9e77c001a901234",
"savedSearchId": "65f5e4a3b9e77c001a345678",
"groupBy": "ServiceName",
"chartConfig": {
"displayType": "line",
"sourceId": "65f5e4a3b9e77c001a111111",
"select": [
{
"aggFn": "count",
"valueExpression": "Duration",
"alias": "Request Duration",
"level": 123,
"where": "service:api",
"whereLanguage": "sql",
"metricName": "http.server.duration",
"metricType": "sum",
"periodAggFn": "delta",
"numberFormat": {
"output": "number",
"mantissa": 2,
"thousandSeparated": true,
"average": false,
"decimalBytes": false,
"factor": 1,
"currencySymbol": "$",
"numericUnit": "bytes_iec",
"unit": "ms"
}
}
],
"groupBy": "host",
"asRatio": true,
"alignDateRangeToGranularity": true,
"fillNulls": true,
"fitYAxisToData": true,
"lineInterpolation": "step",
"numberFormat": {
"output": "number",
"mantissa": 2,
"thousandSeparated": true,
"average": false,
"decimalBytes": false,
"factor": 1,
"currencySymbol": "$",
"numericUnit": "bytes_iec",
"unit": "ms"
},
"compareToPreviousPeriod": true,
"seriesLimit": 5,
"formulas": [
{
"expression": "A / (A + B) * 100",
"alias": "Success rate %",
"numberFormat": {
"output": "number",
"mantissa": 2,
"thousandSeparated": true,
"average": false,
"decimalBytes": false,
"factor": 1,
"currencySymbol": "$",
"numericUnit": "bytes_iec",
"unit": "ms"
}
}
],
"showOperandSeries": true,
"name": "Error Rate Query",
"where": "ServiceName:api",
"whereLanguage": "sql"
},
"threshold": 100,
"thresholdMax": 500,
"interval": "1h",
"scheduleOffsetMinutes": 2,
"scheduleStartAt": "2026-02-08T10:00:00.000Z",
"source": "tile",
"thresholdType": "above",
"channel": {
"type": "webhook",
"emailRecipients": [
"<string>"
]
},
"channels": [
{
"type": "webhook",
"emailRecipients": [
"<string>"
]
}
],
"name": "Errors for {{group}} hit {{value}}",
"message": "Test Alert Message",
"note": "Threshold raised from 50 to 100 on 2026-01-15. See [runbook](https://wiki.example.com/runbook).",
"numConsecutiveWindows": 3,
"id": "65f5e4a3b9e77c001a123456",
"state": "ALERT",
"teamId": "65f5e4a3b9e77c001a345678",
"silenced": {
"by": "65f5e4a3b9e77c001a234567",
"at": "2026-03-19T08:00:00.000Z",
"until": "2026-03-20T08:00:00.000Z"
},
"executionErrors": [
{
"timestamp": "2026-04-17T12:00:00.000Z",
"type": "QUERY_ERROR",
"message": "Query timed out after 30s"
}
],
"createdAt": "2023-01-01T00:00:00.000Z",
"updatedAt": "2023-01-01T00:00:00.000Z"
}
}{
"status": 400,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 500,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Beta
This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.
ClickStack: Silences an alert until the given time. Notifications are suppressed while the alert is silenced.
ClickStack: Silences an alert until the given time. Notifications are suppressed while the alert is silenced.
Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
Body
application/json
Was this page helpful?
⌘I
ClickStack: Silence Alert
curl --request POST \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickstack/alerts/{clickStackAlertId}/silenced \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"mutedUntil": "2026-01-01T00:00:00.000Z"
}
'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickstack/alerts/{clickStackAlertId}/silenced"
payload = { "mutedUntil": "2026-01-01T00:00:00.000Z" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({mutedUntil: '2026-01-01T00:00:00.000Z'})
};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickstack/alerts/{clickStackAlertId}/silenced', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickstack/alerts/{clickStackAlertId}/silenced",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'mutedUntil' => '2026-01-01T00:00:00.000Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickstack/alerts/{clickStackAlertId}/silenced"
payload := strings.NewReader("{\n \"mutedUntil\": \"2026-01-01T00:00:00.000Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickstack/alerts/{clickStackAlertId}/silenced")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"mutedUntil\": \"2026-01-01T00:00:00.000Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickstack/alerts/{clickStackAlertId}/silenced")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"mutedUntil\": \"2026-01-01T00:00:00.000Z\"\n}"
response = http.request(request)
puts response.read_body{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": {
"displayName": "Checkout error spike",
"tags": [
"checkout",
"p1"
],
"dashboardId": "65f5e4a3b9e77c001a567890",
"tileId": "65f5e4a3b9e77c001a901234",
"savedSearchId": "65f5e4a3b9e77c001a345678",
"groupBy": "ServiceName",
"chartConfig": {
"displayType": "line",
"sourceId": "65f5e4a3b9e77c001a111111",
"select": [
{
"aggFn": "count",
"valueExpression": "Duration",
"alias": "Request Duration",
"level": 123,
"where": "service:api",
"whereLanguage": "sql",
"metricName": "http.server.duration",
"metricType": "sum",
"periodAggFn": "delta",
"numberFormat": {
"output": "number",
"mantissa": 2,
"thousandSeparated": true,
"average": false,
"decimalBytes": false,
"factor": 1,
"currencySymbol": "$",
"numericUnit": "bytes_iec",
"unit": "ms"
}
}
],
"groupBy": "host",
"asRatio": true,
"alignDateRangeToGranularity": true,
"fillNulls": true,
"fitYAxisToData": true,
"lineInterpolation": "step",
"numberFormat": {
"output": "number",
"mantissa": 2,
"thousandSeparated": true,
"average": false,
"decimalBytes": false,
"factor": 1,
"currencySymbol": "$",
"numericUnit": "bytes_iec",
"unit": "ms"
},
"compareToPreviousPeriod": true,
"seriesLimit": 5,
"formulas": [
{
"expression": "A / (A + B) * 100",
"alias": "Success rate %",
"numberFormat": {
"output": "number",
"mantissa": 2,
"thousandSeparated": true,
"average": false,
"decimalBytes": false,
"factor": 1,
"currencySymbol": "$",
"numericUnit": "bytes_iec",
"unit": "ms"
}
}
],
"showOperandSeries": true,
"name": "Error Rate Query",
"where": "ServiceName:api",
"whereLanguage": "sql"
},
"threshold": 100,
"thresholdMax": 500,
"interval": "1h",
"scheduleOffsetMinutes": 2,
"scheduleStartAt": "2026-02-08T10:00:00.000Z",
"source": "tile",
"thresholdType": "above",
"channel": {
"type": "webhook",
"emailRecipients": [
"<string>"
]
},
"channels": [
{
"type": "webhook",
"emailRecipients": [
"<string>"
]
}
],
"name": "Errors for {{group}} hit {{value}}",
"message": "Test Alert Message",
"note": "Threshold raised from 50 to 100 on 2026-01-15. See [runbook](https://wiki.example.com/runbook).",
"numConsecutiveWindows": 3,
"id": "65f5e4a3b9e77c001a123456",
"state": "ALERT",
"teamId": "65f5e4a3b9e77c001a345678",
"silenced": {
"by": "65f5e4a3b9e77c001a234567",
"at": "2026-03-19T08:00:00.000Z",
"until": "2026-03-20T08:00:00.000Z"
},
"executionErrors": [
{
"timestamp": "2026-04-17T12:00:00.000Z",
"type": "QUERY_ERROR",
"message": "Query timed out after 30s"
}
],
"createdAt": "2023-01-01T00:00:00.000Z",
"updatedAt": "2023-01-01T00:00:00.000Z"
}
}{
"status": 400,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 500,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}